From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/flacon/
Date: Mon, 30 Apr 2018 16:08:51 +0000 (UTC) [thread overview]
Message-ID: <1525104522.3d847b410329c5702d922d607e1dba5e83441ea4.monsieurp@gentoo> (raw)
commit: 3d847b410329c5702d922d607e1dba5e83441ea4
Author: Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Sun Apr 29 21:54:04 2018 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Apr 30 16:08:42 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d847b41
media-sound/flacon: version bump to 4.1.0.
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8211
media-sound/flacon/Manifest | 1 +
media-sound/flacon/flacon-4.1.0.ebuild | 97 ++++++++++++++++++++++++++++++++++
2 files changed, 98 insertions(+)
diff --git a/media-sound/flacon/Manifest b/media-sound/flacon/Manifest
index 4cea69954c0..4551ed04bb2 100644
--- a/media-sound/flacon/Manifest
+++ b/media-sound/flacon/Manifest
@@ -1 +1,2 @@
DIST flacon-4.0.0.tar.gz 1294289 BLAKE2B 3afadc3545493558a5eadb7720509410fb448fed1e1fc5511f0ce477ea0e6e876d19e3038d5eb77191b449f730f50e6f1e3e4eacf546b064868863ed918acdee SHA512 64efc3369f11a7345d106a253873bcaf64ff0bbfb045e3554fecdc48a86ee5d150bef06643a5bf481d6e139a45a2bfdee91e730f9aa1354a4772f0d994297b78
+DIST flacon-4.1.0.tar.gz 1579869 BLAKE2B 6e0bf31f0eb47bf594d74e0f058f333daa9ee84f9313e75e059f1568386c20f79482926f6f786d332ecfbb72c3991e346a7b98ab8f27a2a4b4ce5c195c23d6bb SHA512 4e786571ba3e157aad2dc27523f8b9de259b44b84c7b054124a610199ef19855832000e4499d18bd6f725f2133bbbbf8d0d75f1cafbdce918605c3b407f6b0ef
diff --git a/media-sound/flacon/flacon-4.1.0.ebuild b/media-sound/flacon/flacon-4.1.0.ebuild
new file mode 100644
index 00000000000..65405aff3fb
--- /dev/null
+++ b/media-sound/flacon/flacon-4.1.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# Ignore rudimentary et, uz@Latn, zh_TW translation(s).
+PLOCALES="cs cs_CZ de el es es_MX fr gl hu it ja_JP lt ms_MY nb nl nl_BE pl pl_PL pt_BR pt_PT ro_RO ru sr sr@latin tr uk zh_CN"
+# Tests require lots of disk space
+CHECKREQS_DISK_BUILD=10G
+
+inherit check-reqs cmake-utils eutils gnome2-utils l10n virtualx xdg-utils
+
+DESCRIPTION="Extracts audio tracks from an audio CD image to separate tracks"
+HOMEPAGE="https://flacon.github.io/"
+SRC_URI="https://github.com/flacon/flacon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ app-i18n/uchardet
+ dev-qt/qtcore:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ dev-qt/linguist-tools:5
+ dev-qt/qtconcurrent:5
+ test? (
+ dev-qt/qttest:5
+ media-libs/flac
+ media-sound/mac
+ media-sound/shntool
+ media-sound/ttaenc
+ media-sound/wavpack
+ )
+"
+
+pkg_pretend() {
+ use test && check-reqs_pkg_pretend
+}
+
+pkg_setup() {
+ use test && check-reqs_pkg_setup
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ # Ignore rudimentary et, uz@Latn, zh_TW translation(s).
+ rm "translations/${PN}_uz@Latn.desktop" || die
+ rm "translations/${PN}"_{et,zh_TW}.ts || die
+
+ remove_locale() {
+ rm "translations/${PN}_${1}".{ts,desktop} || die
+ }
+
+ l10n_find_plocales_changes 'translations' "${PN}_" '.ts'
+ l10n_for_each_disabled_locale_do remove_locale
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTS="$(usex test)"
+ )
+ cmake-utils_src_configure
+}
+
+src_test() {
+ virtx "${BUILD_DIR}/tests/${PN}_test"
+}
+
+pkg_postinst() {
+ elog "${PN} optionally supports formats listed below."
+ elog "(List will be empty if all extra packages are installed.)"
+ elog "Please install the required packages and restart ${PN}."
+ optfeature 'FLAC input and output support' media-libs/flac
+ optfeature 'WavPack input and output support' media-sound/wavpack
+ optfeature 'APE input support' media-sound/mac
+ optfeature 'TTA input support' media-sound/ttaenc
+ optfeature 'AAC output support' media-libs/faac
+ optfeature 'MP3 output support' media-sound/lame
+ optfeature 'Vorbis output support' media-sound/vorbis-tools
+ optfeature 'MP3 Replay Gain support' media-sound/mp3gain
+ optfeature 'Vorbis Replay Gain support' media-sound/vorbisgain
+
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
next reply other threads:[~2018-04-30 16:08 UTC|newest]
Thread overview: 67+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-04-30 16:08 Patrice Clement [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-01 16:48 [gentoo-commits] repo/gentoo:master commit in: media-sound/flacon/ Andreas Sturmlechner
2025-01-01 10:18 Joonas Niilola
2025-01-01 4:30 Sam James
2024-12-28 0:38 Andreas Sturmlechner
2024-12-10 16:03 Andreas Sturmlechner
2024-12-10 15:56 Joonas Niilola
2024-11-22 16:01 Joonas Niilola
2024-11-10 13:03 Sam James
2023-09-30 10:25 Daniel Pielmeier
2023-05-30 6:07 Joonas Niilola
2023-05-30 6:07 Joonas Niilola
2023-03-20 6:42 Joonas Niilola
2023-03-20 6:42 Joonas Niilola
2023-02-26 7:04 Joonas Niilola
2023-02-26 7:04 Joonas Niilola
2022-11-18 8:18 Joonas Niilola
2022-10-06 5:25 Joonas Niilola
2022-10-06 5:25 Joonas Niilola
2022-08-04 7:25 Joonas Niilola
2022-07-20 4:11 Joonas Niilola
2022-07-20 4:11 Joonas Niilola
2022-07-05 8:22 Joonas Niilola
2022-07-05 8:22 Joonas Niilola
2022-01-20 14:30 Sam James
2022-01-20 14:30 Sam James
2020-03-15 22:34 Andreas Sturmlechner
2020-03-15 11:45 Agostino Sarubbo
2019-12-07 15:01 Andreas Sturmlechner
2018-07-28 8:53 Michał Górny
2018-06-25 9:53 Jason Zaman
2018-02-23 19:48 Andreas Sturmlechner
2018-02-01 1:45 Andreas Sturmlechner
2018-01-02 18:29 Patrice Clement
2018-01-02 18:29 Patrice Clement
2017-08-16 7:32 Michał Górny
2017-08-16 7:32 Michał Górny
2017-07-04 7:25 Patrice Clement
2017-05-15 9:09 Michał Górny
2017-02-25 1:03 Michael Palimaka
2017-01-04 6:19 Göktürk Yüksek
2016-12-28 13:27 Patrice Clement
2016-12-28 13:27 Patrice Clement
2016-10-26 21:29 Patrice Clement
2016-06-28 14:03 Patrice Clement
2016-06-27 0:25 Göktürk Yüksek
2016-06-02 7:42 Patrice Clement
2016-06-02 7:42 Patrice Clement
2016-06-02 7:42 Patrice Clement
2016-06-02 7:42 Patrice Clement
2016-05-10 9:28 Ian Delaney
2016-05-10 9:28 Ian Delaney
2016-05-10 9:28 Ian Delaney
2016-04-23 13:18 Davide Pesavento
2016-03-15 15:27 Agostino Sarubbo
2016-03-05 11:39 Patrice Clement
2016-02-02 11:07 Patrice Clement
2016-01-31 14:43 Patrice Clement
2016-01-31 14:43 Patrice Clement
2016-01-31 14:43 Patrice Clement
2016-01-31 14:43 Patrice Clement
2016-01-31 14:43 Patrice Clement
2016-01-31 14:43 Patrice Clement
2016-01-06 18:06 Ian Delaney
2016-01-02 16:28 Agostino Sarubbo
2015-12-01 7:02 Ian Delaney
2015-11-26 2:07 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1525104522.3d847b410329c5702d922d607e1dba5e83441ea4.monsieurp@gentoo \
--to=monsieurp@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox